org.apache.fop.afp.ioca

## Class ImageRasterPattern

- java.lang.Object
- - org.apache.fop.afp.ioca.ImageRasterPattern

-     public final class ImageRasterPattern
      extends Object

  Raster data is a grid of cells covering an area of interest. Each pixel, the smallest unit of information in the grid, displays a unique attribute. This static class generates raster data for different shades of grey (betweeen 0 and 16) the lower the number being the darker the shade. The image data dimensions are 64 x 8.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `getRasterData(int greyscale)` Static method to return the raster image data for the grey scale specified.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRasterData

          public static byte[] getRasterData(int greyscale)

      Static method to return the raster image data for the grey scale specified. The scale should be between 0 (darkest) and 16 (lightest).
      Parameters:
        `greyscale` - The grey scale value (0 - 16)
      Returns:
        the raster data byte array for the given greyscale value

Copyright © 2023 Apache Software Foundation. All rights reserved.